# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

# use this option to skip xfire-jms unit tests while activemq isn't available
%define nojmstests %{?_with_nojmstests:1}%{!?_with_nojmstests:%{?_without_nojmstests:0}%{!?_without_nojmstests:%{?_nojmstests:%{_nojmstests}}%{!?_nojmstests:0}}}

%define section  free
%define oname    apache-cxf

Name:           apache-cxf22
Version:        2.2.12
Release:        3%{?dist}
Epoch:          0
Summary:        CXF Service Framework
License:        ASL 2.0
Group:          Development/Java
URL:            http://cxf.apache.org/
Source0:        http://www.apache.org/dist/cxf/2.2.12/apache-cxf-2.2.12-src.tar.gz

Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Source3:        %{name}-jpp-depmap2.xml
Patch0:         apache-cxf22-pom.patch
Patch1:         apache-cxf22-systests-uncategorized-pom.patch
Patch2:         apache-cxf22-parent-pom.patch
Patch3:         apache-cxf22-systests-ws-specs-pom.patch
Patch4:         apache-cxf22-dist-pom.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  ant-nodeps
BuildRequires:  ant-contrib

BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-shade
BuildRequires:  maven2-plugin-site
BuildRequires:  maven-shared-artifact-resolver
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  mojo-maven2-plugin-build-helper
BuildRequires:  mojo-maven2-plugin-jaxb2
BuildRequires:  mojo-maven2-plugin-properties
BuildRequires:  mojo-maven2-plugin-xmlbeans
BuildRequires:  apache-jar-resource-bundle
BuildRequires:  geronimo-genesis
BuildRequires:  geronimo-genesis2
BuildRequires:  servicemix-build-maven-plugin

BuildRequires:  annotation_1_0_api
BuildRequires:  activemq5-core
BuildRequires:  apache-abdera-core
BuildRequires:  apache-abdera-extensions
BuildRequires:  apache-abdera-parser
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  asm2
BuildRequires:  bea-stax
BuildRequires:  bouncycastle
BuildRequires:  cglib21
BuildRequires:  javamail_1_4_api
BuildRequires:  easymock-classextension2
BuildRequires:  ejb_3_0_api
BuildRequires:  felix-osgi-compendium
BuildRequires:  httpunit
BuildRequires:  j2ee_connector_1_5_api
BuildRequires:  j2ee_management_1_1_api
BuildRequires:  jaf_1_1_api
BuildRequires:  jms_1_1_api
BuildRequires:  jtidy
BuildRequires:  jaxb_2_1_api
BuildRequires:  jaxws_2_1_api
BuildRequires:  jaxen
#BuildRequires:  jbi_1_0_api
BuildRequires:  jdom
BuildRequires:  jettison
BuildRequires:  jetty6
BuildRequires:  jetty6-jsp-2.1
BuildRequires:  jetty6-management
BuildRequires:  jra
BuildRequires:  junit44
BuildRequires:  log4j
BuildRequires:  plexus-utils
BuildRequires:  pmd
BuildRequires:  rhino
BuildRequires:  sun-saaj-1.3-api
BuildRequires:  jsr311-1.0-api
BuildRequires:  servlet_2_5_api
BuildRequires:  servicemix-specs
BuildRequires:  slf4j
BuildRequires:  spring-security2
BuildRequires:  spring2-aop
BuildRequires:  spring2-beans
BuildRequires:  spring2-context
BuildRequires:  spring2-core
BuildRequires:  spring2-jms
BuildRequires:  spring2-test
BuildRequires:  spring2-web
BuildRequires:  stax_1_0_api
BuildRequires:  sun-fi
BuildRequires:  sun-jaxb-2.1-impl
BuildRequires:  velocity
BuildRequires:  ws-jaxme
BuildRequires:  ws_metadata_2_0_api
BuildRequires:  ws-commons-XmlSchema
BuildRequires:  ws-commons-axiom
BuildRequires:  ws-commons-neethi
BuildRequires:  wsdl4j
BuildRequires:  wss4j
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xmlbeans
BuildRequires:  xml-commons-resolver12

%if %{gcj_support}
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5


%description
Apache CXF is an open source services framework. CXF helps 
you build and develop services using frontend programming 
APIs, like JAX-WS. These services can speak a variety of 
protocols such as SOAP, XML/HTTP, RESTful HTTP, or CORBA and
work over a variety of transports such as HTTP, JMS or JBI.
CXF includes a broad feature set, but it is primarily 
focused on the following areas:
* Web Services Standards Support: CXF supports a variety of
  web service standards including SOAP, the Basic Profile, 
  WSDL, WS-Addressing, WS-Policy, WS-ReliableMessaging, and
  WS-Security.
* Frontends: CXF supports a variety of "frontend" programming
  models. CXF implements the JAX-WS APIs (version 2.0 will be
  TCK compliant). It also includes a "simple frontend" which
  allows creation of clients and endpoints without annotations.
  CXF supports both contract first development with WSDL and
  code first development starting from Java.
* Ease of use: CXF is designed to be intuitive and easy to 
  use. There are simple APIs to quickly build code-first 
  services, Maven plug-ins to make tooling integration easy,
  JAX-WS API support, Spring 2.0 XML support to make 
  configuration a snap, and much more.
* Binary and Legacy Protocol Support: CXF has been designed
  to provide a pluggable architecture that supports not only
  XML but also non-XML type bindings, such as JSON and CORBA,
  in combination with any type of transport.

%package poms
Summary:        POMs for %{name}
Group:          Development/Java

%description poms
%{summary}.

%package api
Summary:        API for %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       jaf_1_1_api
Requires:       ws-commons-XmlSchema
Requires:       annotation_1_0_api
Requires:       j2ee_connector_1_5_api
Requires:       bea-stax
Requires:       ws-commons-neethi

%description api
%{summary}.

%package buildtools
Summary:        Buildtools module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       maven2
Requires:       maven2-plugin-shade
Requires:       plexus-utils
Requires:       pmd
Requires:       jdom

%description buildtools
%{summary}.

%package common
Summary:        Common module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       annotation_1_0_api
Requires:       ant
Requires:       ant-nodeps
Requires:       apache-commons-lang
Requires:       bea-stax
Requires:       cglib21
Requires:       jaf_1_1_api
Requires:       jaxb_2_1_api
Requires:       jaxws_2_1_api
Requires:       log4j
Requires:       maven2
Requires:       objectweb-asm
Requires:       spring2-aop
Requires:       spring2-beans
Requires:       spring2-context
Requires:       spring2-core
Requires:       stax_1_0_api
Requires:       sun-jaxb-2.1-impl
Requires:       ws-commons-XmlSchema
Requires:       wsdl4j
Requires:       xml-commons-resolver12

%description common
%{summary}.

%package integration-jbi
Summary:        JBI integration module for %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-jbi = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-jaxws = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-jbi = %{epoch}:%{version}-%{release}
Requires:       jbi_1_0_api

%description integration-jbi
%{summary}.

%package integration-jca
Summary:        JCA integration module for %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-soap = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-jaxws = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-simple = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http-jetty = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-common = %{epoch}:%{version}-%{release}
Requires:       ejb_3_0_api
Requires:       j2ee_connector_1_5_api

%description integration-jca
%{summary}.

%package maven-plugins
Summary:        Maven plugins from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-corba = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-wsdlto = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-java2ws = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-validator = %{epoch}:%{version}-%{release}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       maven2
Requires:       ant
Requires:       ant-nodeps
Requires:       plexus-utils
Requires:       sun-fi

%description maven-plugins
%{summary}.

%package bindings-coloc
Summary:        Colocated bindings module for %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-databinding-jaxb = %{epoch}:%{version}-%{release}
Requires:       jaxws_2_1_api

%description bindings-coloc
%{summary}.

%package bindings-corba
Summary:        Corba bindings module for %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-databinding-jaxb = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-jaxws = %{epoch}:%{version}-%{release}

%description bindings-corba
%{summary}.

%package bindings-http
Summary:        Http bindings module for %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-xml = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-soap = %{epoch}:%{version}-%{release}
Requires:       %{name}-databinding-jaxb = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-jaxws = %{epoch}:%{version}-%{release}
Requires:       jaxb_2_1_api
Requires:       jra

%description bindings-http
%{summary}.

%package bindings-jbi
Summary:        JBI bindings module for %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-databinding-jaxb = %{epoch}:%{version}-%{release}
Requires:       jbi_1_0_api

%description bindings-jbi
%{summary}.

%package bindings-object
Summary:        Object bindings module for %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-databinding-jaxb = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-local = %{epoch}:%{version}-%{release}

%description bindings-object
%{summary}.

%package bindings-soap
Summary:        Soap bindings module for %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-databinding-jaxb = %{epoch}:%{version}-%{release}
Requires:       axis2-saaj
Requires:       jaxb_2_1_api

%description bindings-soap
%{summary}.

%package bindings-xml
Summary:        XML bindings module for %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-databinding-jaxb = %{epoch}:%{version}-%{release}

%description bindings-xml
%{summary}.

%package bundles
Summary:        Bundles from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-coloc = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-corba = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-http = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-object = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-soap = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-xml = %{epoch}:%{version}-%{release}
Requires:       %{name}-databinding-aegis = %{epoch}:%{version}-%{release}
Requires:       %{name}-databinding-jaxb = %{epoch}:%{version}-%{release}
Requires:       %{name}-databinding-xmlbeans = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-jaxrs = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-jaxws = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-js = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-simple = %{epoch}:%{version}-%{release}
Requires:       %{name}-javascript = %{epoch}:%{version}-%{release}
Requires:       %{name}-management = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-corba = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-java2ws = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-validator = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-wsdlto = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http-jetty = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http-osgi = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-jms = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-local = %{epoch}:%{version}-%{release}
Requires:       %{name}-ws-addr = %{epoch}:%{version}-%{release}
Requires:       %{name}-ws-policy = %{epoch}:%{version}-%{release}
Requires:       %{name}-ws-rm = %{epoch}:%{version}-%{release}
Requires:       %{name}-ws-security = %{epoch}:%{version}-%{release}
Requires:       javamail_1_4_api
Requires:       sun-fi
Requires:       sun-jaxb-2.1-impl
Requires:       spring2-core
Requires:       ws-commons-XmlSchema

%description bundles
%{summary}.

%package core
Summary:        Core module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       javamail_1_4_api
Requires:       sun-fi
Requires:       sun-jaxb-2.1-impl
Requires:       spring2-core
Requires:       ws-commons-XmlSchema

%description core
%{summary}.

%package databinding-aegis
Summary:        Aegis databinding module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-simple = %{epoch}:%{version}-%{release}
Requires:       jaxen
Requires:       jdom

%description databinding-aegis
%{summary}.

%package databinding-jaxb
Summary:        JAXB databinding module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       asm2
Requires:       bea-stax
Requires:       jaf_1_1_api
Requires:       javamail_1_4_api
Requires:       sun-jaxb-2.1-impl

%description databinding-jaxb
%{summary}.

%package databinding-xmlbeans
Summary:        XmlBeans databinding module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-wsdlto = %{epoch}:%{version}-%{release}
Requires:       bea-stax
Requires:       stax_1_0_api
Requires:       xmlbeans

%description databinding-xmlbeans
%{summary}.

%package frontend-jaxrs
Summary:        JAXRS frontend module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-xml = %{epoch}:%{version}-%{release}
Requires:       %{name}-databinding-aegis = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http = %{epoch}:%{version}-%{release}
Requires:       apache-abdera-core
Requires:       apache-abdera-extensions
Requires:       apache-abdera-parser
Requires:       jettison
Requires:       jsr311_api
Requires:       servlet_2_5_api
Requires:       spring2-core
Requires:       xmlbeans

%description frontend-jaxrs
%{summary}.

%package frontend-jaxws
Summary:        JAXWS frontend module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-soap = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-xml = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-simple = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-local = %{epoch}:%{version}-%{release}
Requires:       %{name}-ws-addr = %{epoch}:%{version}-%{release}
Requires:       asm2
Requires:       axis2-saaj
Requires:       jaxws_2_1_api
Requires:       saaj_1_3_api
Requires:       servlet_2_5_api
Requires:       ws_metadata_2_0_api

%description frontend-jaxws
%{summary}.

%package frontend-js
Summary:        Javascript frontend module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-jaxws = %{epoch}:%{version}-%{release}
Requires:       jaxb_2_1_api
Requires:       jaxws_2_1_api
Requires:       rhino
Requires:       stax_1_0_api
Requires:       xmlbeans

%description frontend-js
%{summary}.

%package frontend-simple
Summary:        Simple frontend module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-soap = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-local = %{epoch}:%{version}-%{release}

%description frontend-simple
%{summary}.

%package javascript
Summary:        Javascript module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-simple = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-local = %{epoch}:%{version}-%{release}
Requires:       jaxen
Requires:       jdom

%description javascript
%{summary}.

%package management
Summary:        Management module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       spring2-core

%description management
%{summary}.

%package testsupport
Summary:        Testsupport module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http-jetty = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-local = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-soap = %{epoch}:%{version}-%{release}
Requires:       annotation_1_0_api
Requires:       httpunit
Requires:       jaxb_2_1_api
Requires:       jaxws_2_1_api
Requires:       jaf_1_1_api
Requires:       jra
Requires:       junit44
Requires:       nekohtml
Requires:       saaj_1_3_api
Requires:       ws_metadata_2_0_api

%description testsupport
%{summary}.

%package transports-http-jetty
Summary:        Http Jetty transport module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http = %{epoch}:%{version}-%{release}
Requires:       jetty6
Requires:       servlet_2_5_api
Requires:       slf4j
Requires:       spring2-web

%description transports-http-jetty
%{summary}.

%package transports-http-osgi
Summary:        Http OSGi transport module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http = %{epoch}:%{version}-%{release}
Requires:       felix-osgi-compendium
Requires:       servlet_2_5_api

%description transports-http-osgi
%{summary}.

%package transports-http
Summary:        Http transport module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       servlet_2_5_api
Requires:       spring2-web

%description transports-http
%{summary}.

%package transports-jbi
Summary:        JBI transport module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       jbi_1_0_api
Requires:       ws_metadata_2_0_api

%description transports-jbi
%{summary}.

%package transports-jms
Summary:        JMS transport module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-management = %{epoch}:%{version}-%{release}
Requires:       apache-commons-pool
Requires:       j2ee_connector_1_5_api
Requires:       jms_1_1_api
Requires:       spring2-jms

%description transports-jms
%{summary}.

%package transports-local
Summary:        Local transport module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}

%description transports-local
%{summary}.

%package ws-addr
Summary:        WS addr module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-soap = %{epoch}:%{version}-%{release}
Requires:       jaf_1_1_api

%description ws-addr
%{summary}.

%package ws-policy
Summary:        WS policy module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       annotation_1_0_api
Requires:       jaxws_2_1_api

%description ws-policy
%{summary}.

%package ws-rm
Summary:        WS rm module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-soap = %{epoch}:%{version}-%{release}
Requires:       %{name}-ws-addr = %{epoch}:%{version}-%{release}
Requires:       jaxws_2_1_api

%description ws-rm
%{summary}.

%package ws-security
Summary:        WS security module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-soap = %{epoch}:%{version}-%{release}
Requires:       apache-commons-logging
Requires:       bouncycastle
Requires:       saaj_1_3_api
Requires:       wss4j
Requires:       xalan-j2

%description ws-security
%{summary}.

%package systests
Summary:        System tests module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-management = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-coloc = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-corba = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-http = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-jbi = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-soap = %{epoch}:%{version}-%{release}
Requires:       %{name}-databinding-aegis = %{epoch}:%{version}-%{release}
Requires:       %{name}-databinding-jaxb = %{epoch}:%{version}-%{release}
Requires:       %{name}-databinding-xmlbeans = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-jaxrs = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-jaxws = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-js = %{epoch}:%{version}-%{release}
Requires:       %{name}-integration-jbi = %{epoch}:%{version}-%{release}
Requires:       %{name}-integration-jca = %{epoch}:%{version}-%{release}
Requires:       %{name}-testsupport = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-validator = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http-jetty = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-jbi = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-jms = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-local = %{epoch}:%{version}-%{release}
Requires:       %{name}-ws-addr = %{epoch}:%{version}-%{release}
Requires:       %{name}-ws-policy = %{epoch}:%{version}-%{release}
Requires:       %{name}-ws-rm = %{epoch}:%{version}-%{release}
Requires:       %{name}-ws-security = %{epoch}:%{version}-%{release}
Requires:       asm2
Requires:       j2ee_connector_1_5_api
#Requires:       servicemix3-core
Requires:       servlet_2_5_api
Requires:       spring2-core
Requires:       spring2-test
Requires:       sun-fi
Requires:       xalan-j2

%description systests
%{summary}.

%package testutils
Summary:        Testutils module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       activemq4
Requires:       annotation_1_0_api
Requires:       jaf_1_1_api
Requires:       jaxb_2_1_api
Requires:       jaxws_2_1_api
Requires:       jra
Requires:       junit44
Requires:       saaj_1_3_api
Requires:       ws_metadata_2_0_api

%description testutils
%{summary}.

%package tools-anttasks
Summary:        Anttasks tools module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-wsdlto = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-java2ws = %{epoch}:%{version}-%{release}
Requires:       ant
Requires:       ant-nodeps

%description tools-anttasks
%{summary}.

%package tools-common
Summary:        Common tools module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-wsdlto = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-java2ws = %{epoch}:%{version}-%{release}
Requires:       apache-commons-collections
Requires:       jaxws_2_1_api
Requires:       junit44
Requires:       saaj_1_3_api
Requires:       sun-jaxb-2.1-impl
Requires:       velocity
Requires:       ws_metadata_2_0_api
Requires:       wsdl4j

%description tools-common
%{summary}.

%package tools-corba
Summary:        Corba tools module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-validator = %{epoch}:%{version}-%{release}
Requires:       %{name}-bindings-corba = %{epoch}:%{version}-%{release}
Requires:       antlr
Requires:       bea-stax
Requires:       ws-commons-XmlSchema
Requires:       wsdl4j

%description tools-corba
%{summary}.

#%package tools-eclipse-plugin
#Summary:        Eclipse plugin tools module from %{name}
#Group:          Development/Java
#Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
#Requires:       %{name}-tools-wsdlto = %{epoch}:%{version}-%{release}
#Requires:       %{name}-tools-java2ws = %{epoch}:%{version}-%{release}
#Requires:       %{name}-frontend-jaxws = %{epoch}:%{version}-%{release}
#Requires:       %{name}-frontend-simple = %{epoch}:%{version}-%{release}
#Requires:       %{name}-transports-http = %{epoch}:%{version}-%{release}
#Requires:       %{name}-transports-jms = %{epoch}:%{version}-%{release}
#Requires:       velocity
#
#%description tools-eclipse-plugin
#%{summary}.

%package tools-java2ws
Summary:        Java2WS tools module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-javascript = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-wsdlto = %{epoch}:%{version}-%{release}
Requires:       %{name}-databinding-aegis = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-jaxws = %{epoch}:%{version}-%{release}
Requires:       %{name}-frontend-simple = %{epoch}:%{version}-%{release}
Requires:       %{name}-transports-http-jetty = %{epoch}:%{version}-%{release}
Requires:       bea-stax
Requires:       jaxws_2_1_api
Requires:       saaj_1_3_api
Requires:       sun-jaxb-2.1-impl
Requires:       wsdl4j

%description tools-java2ws
%{summary}.

%package tools-validator
Summary:        Validator tools module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-common = %{epoch}:%{version}-%{release}
Requires:       bea-stax
Requires:       saaj_1_3_api
Requires:       stax_1_0_api
Requires:       sun-jaxb-2.1-impl
Requires:       velocity
Requires:       wsdl4j
Requires:       ws-commons-XmlSchema

%description tools-validator
%{summary}.

%package tools-wsdlto
Summary:        Wsdlto tools module from %{name}
Group:          Development/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-javascript = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-common = %{epoch}:%{version}-%{release}
Requires:       %{name}-tools-validator = %{epoch}:%{version}-%{release}
Requires:       bea-stax
Requires:       jaxws_2_1_api
Requires:       saaj_1_3_api
Requires:       sun-jaxb-2.1-impl
Requires:       velocity
Requires:       wsdl4j

%description tools-wsdlto
%{summary}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{oname}-%{version}-src

%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4

# while we don't have servicemix
rm systests/uncategorized/src/test/java/org/apache/cxf/systest/jbi/ClientServerTest.java

%build

cp %{SOURCE1} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP
mkdir -p m2_repo/repository
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository
export SETTINGS=$(pwd)/maven2-settings.xml
export DEPMAP=%{SOURCE2}
export MAVEN_OPTS="-Xmx768m -XX:MaxPermSize=128m"

mvn-jpp -e \
        -s $SETTINGS \
        -P nochecks \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Djava.awt.headless=true \
        -Dmaven.test.skip=true \
        -Dmaven.test.failure.ignore=true \
        install 
pushd distribution
mvn-jpp -e \
        -s $SETTINGS \
        -P nochecks \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE3} \
        -Djava.awt.headless=true \
        -Dmaven.test.skip=true \
        -Dmaven.test.failure.ignore=true \
        install 
popd

mvn-jpp -e \
        -s $SETTINGS \
        -P nochecks \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Daggregate=true \
        javadoc:javadoc 


%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cxf.pom
%add_to_maven_depmap org.apache.cxf cxf %{version} JPP/%{name} cxf

install -m 644 parent/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-parent.pom
%add_to_maven_depmap org.apache.cxf cxf-parent %{version} JPP/%{name} parent

install -m 644 api/target/cxf-api-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/api-%{version}.jar
install -m 644 api/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-api.pom
%add_to_maven_depmap org.apache.cxf cxf-api %{version} JPP/%{name} api

install -m 644 buildtools/target/cxf-buildtools-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/buildtools-%{version}.jar
install -m 644 buildtools/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-buildtools.pom
%add_to_maven_depmap org.apache.cxf cxf-buildtools %{version} JPP/%{name} buildtools

install -m 644 common/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-common.pom
%add_to_maven_depmap org.apache.cxf cxf-common %{version} JPP/%{name} common

install -m 644 common/common/target/cxf-common-utilities-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/common-utilities-%{version}.jar
install -m 644 common/common/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-common-utilities.pom
%add_to_maven_depmap org.apache.cxf cxf-common-utilities %{version} JPP/%{name} common-utilities

install -m 644 common/schemas/target/cxf-common-schemas-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/common-schemas-%{version}.jar
install -m 644 common/schemas/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-common-schemas.pom
%add_to_maven_depmap org.apache.cxf cxf-common-schemas %{version} JPP/%{name} common-schemas

install -m 644 common/xerces-xsd-validation/target/cxf-xerces-xsd-validation-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/xerces-xsd-validation-%{version}.jar
install -m 644 common/xerces-xsd-validation/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xerces-xsd-validation.pom
%add_to_maven_depmap org.apache.cxf cxf-xerces-xsd-validation %{version} JPP/%{name} xerces-xsd-validation

install -m 644 common/xjc/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-common-xjc.pom
%add_to_maven_depmap org.apache.cxf cxf-common-xjc %{version} JPP/%{name} common-xjc

install -m 644 common/xjc/boolean/target/cxf-xjc-boolean-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/xjc-boolean-%{version}.jar
install -m 644 common/xjc/boolean/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xjc-boolean.pom
%add_to_maven_depmap org.apache.cxf cxf-xjc-boolean %{version} JPP/%{name} xjc-boolean

install -m 644 common/xjc/boolean-test/target/cxf-xjc-boolean-test-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/xjc-boolean-test-%{version}.jar
install -m 644 common/xjc/boolean-test/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xjc-boolean-test.pom
%add_to_maven_depmap org.apache.cxf cxf-xjc-boolean-test %{version} JPP/%{name} xjc-boolean-test

install -m 644 common/xjc/bug671/target/cxf-xjc-bug671-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/xjc-bug671-%{version}.jar
install -m 644 common/xjc/bug671/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xjc-bug671.pom
%add_to_maven_depmap org.apache.cxf cxf-xjc-bug671 %{version} JPP/%{name} xjc-bug671

install -m 644 common/xjc/dv/target/cxf-xjc-dv-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/xjc-dv-%{version}.jar
install -m 644 common/xjc/dv/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xjc-dv.pom
%add_to_maven_depmap org.apache.cxf cxf-xjc-dv %{version} JPP/%{name} xjc-dv

install -m 644 common/xjc/dv-test/target/cxf-xjc-dv-test-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/xjc-dv-test-%{version}.jar
install -m 644 common/xjc/dv-test/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xjc-dv-test.pom
%add_to_maven_depmap org.apache.cxf cxf-xjc-dv-test %{version} JPP/%{name} xjc-dv-test

install -m 644 common/xjc/ts/target/cxf-xjc-ts-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/xjc-ts-%{version}.jar
install -m 644 common/xjc/ts/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xjc-ts.pom
%add_to_maven_depmap org.apache.cxf cxf-xjc-ts %{version} JPP/%{name} xjc-ts

install -m 644 common/xjc/ts-test/target/cxf-xjc-ts-test-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/xjc-ts-test-%{version}.jar
install -m 644 common/xjc/ts-test/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xjc-ts-test.pom
%add_to_maven_depmap org.apache.cxf cxf-xjc-ts-test %{version} JPP/%{name} xjc-ts-test

install -m 644 common/xsd/target/cxf-common-xsd-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/common-xsd-%{version}.jar
install -m 644 common/xsd/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-common-xsd.pom
%add_to_maven_depmap org.apache.cxf cxf-common-xsd %{version} JPP/%{name} common-xsd

install -m 644 distribution/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-distribution.pom
%add_to_maven_depmap org.apache.cxf apache-cxf %{version} JPP/%{name} integration

install -m 644 distribution/bundle/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-bundle-parent.pom
%add_to_maven_depmap org.apache.cxf cxf-bundle-parent %{version} JPP/%{name} bundle-parent

install -m 644 distribution/bundle/jaxrs/target/cxf-bundle-jaxrs-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/bundle-jaxrs-%{version}.jar
install -m 644 distribution/bundle/jaxrs/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-bundle-jaxrs.pom
%add_to_maven_depmap org.apache.cxf cxf-bundle-jaxrs %{version} JPP/%{name} bundle-jaxrs

install -m 644 distribution/bundle/minimal/target/cxf-bundle-minimal-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/bundle-minimal-%{version}.jar
install -m 644 distribution/bundle/minimal/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-bundle-minimal.pom
%add_to_maven_depmap org.apache.cxf cxf-bundle-minimal %{version} JPP/%{name} bundle-minimal

install -m 644 distribution/bundle/all/target/cxf-bundle-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/bundle-%{version}.jar
install -m 644 distribution/bundle/all/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-bundle.pom
%add_to_maven_depmap org.apache.cxf cxf-bundle %{version} JPP/%{name} bundle

install -m 644 distribution/manifest/target/cxf-manifest.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/manifest-%{version}.jar
install -m 644 distribution/manifest/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-manifest.pom
%add_to_maven_depmap org.apache.cxf cxf-distribution-manifest %{version} JPP/%{name} manifest

install -m 644 integration/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-integration.pom
%add_to_maven_depmap org.apache.cxf cxf-integration %{version} JPP/%{name} integration

install -m 644 integration/jbi/target/cxf-integration-jbi-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/integration-jbi-%{version}.jar
install -m 644 integration/jbi/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-integration-jbi.pom
%add_to_maven_depmap org.apache.cxf cxf-integration-jbi %{version} JPP/%{name} integration-jbi

install -m 644 integration/jca/target/cxf-integration-jca-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/integration-jca-%{version}.jar
install -m 644 integration/jca/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-integration-jca.pom
%add_to_maven_depmap org.apache.cxf cxf-integration-jca %{version} JPP/%{name} integration-jca

install -m 644 maven-plugins/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-plugins.pom
%add_to_maven_depmap org.apache.cxf cxf-maven-plugins %{version} JPP/%{name} maven-plugins

install -m 644 maven-plugins/archetypes/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-archetypes.pom
%add_to_maven_depmap org.apache.cxf cxf-archetypes %{version} JPP/%{name} archetypes

install -m 644 maven-plugins/archetypes/cxf-jaxws-javafirst/target/cxf-jaxws-javafirst-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/jaxws-javafirst-%{version}.jar
install -m 644 maven-plugins/archetypes/cxf-jaxws-javafirst/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jaxws-javafirst.pom
%add_to_maven_depmap org.apache.cxf.archetype cxf-jaxws-javafirst %{version} JPP/%{name} jaxws-javafirst

install -m 644 maven-plugins/codegen-plugin/target/cxf-codegen-plugin-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/codegen-plugin-%{version}.jar
install -m 644 maven-plugins/codegen-plugin/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-codegen-plugin.pom
%add_to_maven_depmap org.apache.cxf cxf-codegen-plugin %{version} JPP/%{name} codegen-plugin

install -m 644 maven-plugins/corba/target/cxf-corbatools-maven-plugin-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/corbatools-maven-plugin-%{version}.jar
install -m 644 maven-plugins/corba/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-corbatools-maven-plugin.pom
%add_to_maven_depmap org.apache.cxf cxf-corbatools-maven-plugin %{version} JPP/%{name} corbatools-maven-plugin

#install -m 644 maven-plugins/eclipse-plugin-generator/target/cxf-eclipse-plugin-generator-%{version}.jar \
#  $RPM_BUILD_ROOT%{_javadir}/%{name}/eclipse-plugin-generator-%{version}.jar
#install -m 644 maven-plugins/eclipse-plugin-generator/pom.xml \
#  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-eclipse-plugin-generator.pom
#%add_to_maven_depmap org.apache.cxf cxf-eclipse-plugin-generator %{version} JPP/%{name} eclipse-plugin-generator

install -m 644 maven-plugins/java2ws-plugin/target/cxf-java2ws-plugin-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/java2ws-plugin-%{version}.jar
install -m 644 maven-plugins/java2ws-plugin/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-java2ws-plugin.pom
%add_to_maven_depmap org.apache.cxf cxf-java2ws-plugin %{version} JPP/%{name} java2ws-plugin

install -m 644 maven-plugins/wsdl-validator-plugin/target/cxf-wsdl-validator-plugin-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/wsdl-validator-plugin-%{version}.jar
install -m 644 maven-plugins/wsdl-validator-plugin/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-wsdl-validator-plugin.pom
%add_to_maven_depmap org.apache.cxf cxf-wsdl-validator-plugin %{version} JPP/%{name} wsdl-validator-plugin

install -m 644 maven-plugins/xml2fastinfoset-plugin/target/cxf-xml2fastinfoset-plugin-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/xml2fastinfoset-plugin-%{version}.jar
install -m 644 maven-plugins/xml2fastinfoset-plugin/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xml2fastinfoset-plugin.pom
%add_to_maven_depmap org.apache.cxf cxf-xml2fastinfoset-plugin %{version} JPP/%{name} xml2fastinfoset-plugin

install -m 644 rt/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt.pom
%add_to_maven_depmap org.apache.cxf cxf-rt %{version} JPP/%{name} rt

install -m 644 rt/bindings/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-bindings.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-bindings %{version} JPP/%{name} rt-bindings

install -m 644 rt/bindings/coloc/target/cxf-rt-bindings-coloc-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-bindings-coloc-%{version}.jar
install -m 644 rt/bindings/coloc/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-bindings-coloc.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-bindings-coloc %{version} JPP/%{name} rt-bindings-coloc

install -m 644 rt/bindings/corba/target/cxf-rt-bindings-corba-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-bindings-corba-%{version}.jar
install -m 644 rt/bindings/corba/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-bindings-corba.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-bindings-corba %{version} JPP/%{name} rt-bindings-corba

install -m 644 rt/bindings/http/target/cxf-rt-bindings-http-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-bindings-http-%{version}.jar
install -m 644 rt/bindings/http/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-bindings-http.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-bindings-http %{version} JPP/%{name} rt-bindings-http

install -m 644 rt/bindings/jbi/target/cxf-rt-bindings-jbi-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-bindings-jbi-%{version}.jar
install -m 644 rt/bindings/jbi/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-bindings-jbi.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-bindings-jbi %{version} JPP/%{name} rt-bindings-jbi

install -m 644 rt/bindings/object/target/cxf-rt-bindings-object-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-bindings-object-%{version}.jar
install -m 644 rt/bindings/object/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-bindings-object.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-bindings-object %{version} JPP/%{name} rt-bindings-object

install -m 644 rt/bindings/soap/target/cxf-rt-bindings-soap-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-bindings-soap-%{version}.jar
install -m 644 rt/bindings/soap/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-bindings-soap.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-bindings-soap %{version} JPP/%{name} rt-bindings-soap

install -m 644 rt/bindings/xml/target/cxf-rt-bindings-xml-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-bindings-xml-%{version}.jar
install -m 644 rt/bindings/xml/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-bindings-xml.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-bindings-xml %{version} JPP/%{name} rt-bindings-xml

install -m 644 rt/core/target/cxf-rt-core-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-core-%{version}.jar
install -m 644 rt/core/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-core.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-core %{version} JPP/%{name} rt-core

# This pom doesn't exist
#install -m 644 rt/databinding/pom.xml \
#  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-databinding.pom
#%add_to_maven_depmap org.apache.cxf cxf-rt-databinding %{version} JPP/%{name} rt-databinding

install -m 644 rt/databinding/aegis/target/cxf-rt-databinding-aegis-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-databinding-aegis-%{version}.jar
install -m 644 rt/databinding/aegis/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-databinding-aegis.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-databinding-aegis %{version} JPP/%{name} rt-databinding-aegis

install -m 644 rt/databinding/jaxb/target/cxf-rt-databinding-jaxb-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-databinding-jaxb-%{version}.jar
install -m 644 rt/databinding/jaxb/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-databinding-jaxb.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-databinding-jaxb %{version} JPP/%{name} rt-databinding-jaxb

install -m 644 rt/databinding/xmlbeans/target/cxf-rt-databinding-xmlbeans-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-databinding-xmlbeans-%{version}.jar
install -m 644 rt/databinding/xmlbeans/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-databinding-xmlbeans.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-databinding-xmlbeans %{version} JPP/%{name} rt-databinding-xmlbeans

# This pom doesn't exist
#install -m 644 rt/frontend/pom.xml \
#  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-frontend.pom
#%add_to_maven_depmap org.apache.cxf cxf-rt-frontend %{version} JPP/%{name} rt-frontend

install -m 644 rt/frontend/jaxrs/target/cxf-rt-frontend-jaxrs-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-frontend-jaxrs-%{version}.jar
install -m 644 rt/frontend/jaxrs/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-frontend-jaxrs.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-frontend-jaxrs %{version} JPP/%{name} rt-frontend-jaxrs

install -m 644 rt/frontend/jaxws/target/cxf-rt-frontend-jaxws-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-frontend-jaxws-%{version}.jar
install -m 644 rt/frontend/jaxws/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-frontend-jaxws.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-frontend-jaxws %{version} JPP/%{name} rt-frontend-jaxws

install -m 644 rt/frontend/js/target/cxf-rt-frontend-js-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-frontend-js-%{version}.jar
install -m 644 rt/frontend/js/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-frontend-js.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-frontend-js %{version} JPP/%{name} rt-frontend-js

install -m 644 rt/frontend/simple/target/cxf-rt-frontend-simple-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-frontend-simple-%{version}.jar
install -m 644 rt/frontend/simple/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-frontend-simple.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-frontend-simple %{version} JPP/%{name} rt-frontend-simple

install -m 644 rt/javascript/target/cxf-rt-javascript-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-javascript-%{version}.jar
install -m 644 rt/javascript/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-javascript.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-javascript %{version} JPP/%{name} rt-javascript

install -m 644 rt/management/target/cxf-rt-management-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-management-%{version}.jar
install -m 644 rt/management/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-management.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-management %{version} JPP/%{name} rt-management

install -m 644 rt/testsupport/target/cxf-rt-testsupport-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-testsupport-%{version}.jar
install -m 644 rt/testsupport/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-testsupport.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-testsupport %{version} JPP/%{name} rt-testsupport

# This pom doesn't exist
#install -m 644 rt/transports/pom.xml \
#  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-transports.pom
#%add_to_maven_depmap org.apache.cxf cxf-rt-transports %{version} JPP/%{name} rt-transports

install -m 644 rt/transports/http-jetty/target/cxf-rt-transports-http-jetty-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-transports-http-jetty-%{version}.jar
install -m 644 rt/transports/http-jetty/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-transports-http-jetty.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-transports-http-jetty %{version} JPP/%{name} rt-transports-http-jetty

install -m 644 rt/transports/http-osgi/target/cxf-rt-transports-http-osgi-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-transports-http-osgi-%{version}.jar
install -m 644 rt/transports/http-osgi/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-transports-http-osgi.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-transports-http-osgi %{version} JPP/%{name} rt-transports-http-osgi

install -m 644 rt/transports/http/target/cxf-rt-transports-http-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-transports-http-%{version}.jar
install -m 644 rt/transports/http/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-transports-http.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-transports-http %{version} JPP/%{name} rt-transports-http

install -m 644 rt/transports/jbi/target/cxf-rt-transports-jbi-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-transports-jbi-%{version}.jar
install -m 644 rt/transports/jbi/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-transports-jbi.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-transports-jbi %{version} JPP/%{name} rt-transports-jbi

install -m 644 rt/transports/jms/target/cxf-rt-transports-jms-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-transports-jms-%{version}.jar
install -m 644 rt/transports/jms/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-transports-jms.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-transports-jms %{version} JPP/%{name} rt-transports-jms

install -m 644 rt/transports/local/target/cxf-rt-transports-local-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-transports-local-%{version}.jar
install -m 644 rt/transports/local/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-transports-local.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-transports-local %{version} JPP/%{name} rt-transports-local

# This pom doesn't exist
#install -m 644 rt/ws/pom.xml \
#  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-ws.pom
#%add_to_maven_depmap org.apache.cxf cxf-rt-ws %{version} JPP/%{name} rt-ws

install -m 644 rt/ws/addr/target/cxf-rt-ws-addr-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-ws-addr-%{version}.jar
install -m 644 rt/ws/addr/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-ws-addr.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-ws-addr %{version} JPP/%{name} rt-ws-addr

install -m 644 rt/ws/policy/target/cxf-rt-ws-policy-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-ws-policy-%{version}.jar
install -m 644 rt/ws/policy/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-ws-policy.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-ws-policy %{version} JPP/%{name} rt-ws-policy

install -m 644 rt/ws/rm/target/cxf-rt-ws-rm-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-ws-rm-%{version}.jar
install -m 644 rt/ws/rm/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-ws-rm.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-ws-rm %{version} JPP/%{name} rt-ws-rm

install -m 644 rt/ws/security/target/cxf-rt-ws-security-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-ws-security-%{version}.jar
install -m 644 rt/ws/security/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-ws-security.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-ws-security %{version} JPP/%{name} rt-ws-security

install -m 644 systests/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-systests.pom
%add_to_maven_depmap org.apache.cxf cxf-systests %{version} JPP/%{name} systests

install -m 644 systests/databinding/target/cxf-systests-databinding-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-databinding-%{version}.jar
install -m 644 systests/databinding/target/cxf-systests-databinding-%{version}-tests.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-databinding-tests-%{version}.jar
install -m 644 systests/databinding/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-systests-databinding.pom
%add_to_maven_depmap org.apache.cxf cxf-systests-databinding %{version} JPP/%{name} systests-databinding

install -m 644 systests/jaxrs/target/cxf-systests-jaxrs-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-jaxrs-%{version}.jar
install -m 644 systests/jaxrs/target/cxf-systests-jaxrs-%{version}-tests.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-jaxrs-tests-%{version}.jar
install -m 644 systests/jaxrs/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-systests-jaxrs.pom
%add_to_maven_depmap org.apache.cxf cxf-systests-jaxrs %{version} JPP/%{name} systests-jaxrs

install -m 644 systests/jaxws/target/cxf-systests-jaxws-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-jaxws-%{version}.jar
install -m 644 systests/jaxws/target/cxf-systests-jaxws-%{version}-tests.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-jaxws-tests-%{version}.jar
install -m 644 systests/jaxws/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-systests-jaxws.pom
%add_to_maven_depmap org.apache.cxf cxf-systests-jaxws %{version} JPP/%{name} systests-jaxws

install -m 644 systests/transports/target/cxf-systests-transports-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-transports-%{version}.jar
install -m 644 systests/transports/target/cxf-systests-transports-%{version}-tests.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-transports-tests-%{version}.jar
install -m 644 systests/transports/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-systests-transports.pom
%add_to_maven_depmap org.apache.cxf cxf-systests-transports %{version} JPP/%{name} systests-transports

install -m 644 systests/uncategorized/target/cxf-systests-uncategorized-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-uncategorized-%{version}.jar
install -m 644 systests/uncategorized/target/cxf-systests-uncategorized-%{version}-tests.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-uncategorized-tests-%{version}.jar
install -m 644 systests/uncategorized/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-systests-uncategorized.pom
%add_to_maven_depmap org.apache.cxf cxf-systests-uncategorized %{version} JPP/%{name} systests-uncategorized

install -m 644 systests/wsdl_maven/codegen/target/cxf-systests-codegen-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-codegen-%{version}.jar
install -m 644 systests/wsdl_maven/codegen/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-systests-codegen.pom
%add_to_maven_depmap org.apache.cxf cxf-systests-codegen %{version} JPP/%{name} systests-codegen

install -m 644 systests/wsdl_maven/java2ws/target/cxf-systests-java2ws-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-java2ws-%{version}.jar
install -m 644 systests/wsdl_maven/java2ws/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-systests-java2ws.pom
%add_to_maven_depmap org.apache.cxf cxf-systests-java2ws %{version} JPP/%{name} systests-java2ws

install -m 644 systests/ws-specs/target/cxf-systests-ws-specs-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-ws-specs-%{version}.jar
install -m 644 systests/ws-specs/target/cxf-systests-ws-specs-%{version}-tests.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-ws-specs-tests-%{version}.jar
install -m 644 systests/ws-specs/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-systests-ws-specs.pom
%add_to_maven_depmap org.apache.cxf cxf-systests-ws-specs %{version} JPP/%{name} systests-ws-specs

install -m 644 testutils/target/cxf-testutils-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/testutils-%{version}.jar
install -m 644 testutils/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-testutils.pom
%add_to_maven_depmap org.apache.cxf cxf-testutils %{version} JPP/%{name} testutils

install -m 644 tools/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools.pom
%add_to_maven_depmap org.apache.cxf cxf-tools %{version} JPP/%{name} tools

#install -m 644 tools/anttask/target/cxf-anttasks-%{version}.jar \
#  $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-anttasks-%{version}.jar
#install -m 644 tools/anttask/pom.xml \
#  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-anttasks.pom
#%add_to_maven_depmap org.apache.cxf cxf-tools-anttasks %{version} JPP/%{name} tools-anttasks

install -m 644 tools/common/target/cxf-tools-common-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-common-%{version}.jar
install -m 644 tools/common/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-common.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-common %{version} JPP/%{name} tools-common

install -m 644 tools/corba/target/cxf-tools-corba-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-corba-%{version}.jar
install -m 644 tools/corba/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-corba.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-corba %{version} JPP/%{name} tools-corba

install -m 644 tools/javato/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-javato.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-javato %{version} JPP/%{name} tools-javato

install -m 644 tools/javato/ws/target/cxf-tools-java2ws-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-java2ws-%{version}.jar
install -m 644 tools/javato/ws/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-java2ws.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-java2ws %{version} JPP/%{name} tools-java2ws

install -m 644 tools/validator/target/cxf-tools-validator-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-validator-%{version}.jar
install -m 644 tools/validator/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-validator.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-validator %{version} JPP/%{name} tools-validator

install -m 644 tools/wsdlto/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-wsdlto.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-wsdlto %{version} JPP/%{name} tools-wsdlto

install -m 644 tools/wsdlto/core/target/cxf-tools-wsdlto-core-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-wsdlto-core-%{version}.jar
install -m 644 tools/wsdlto/core/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-wsdlto-core.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-wsdlto-core %{version} JPP/%{name} tools-wsdlto-core

install -m 644 tools/wsdlto/databinding/jaxb/target/cxf-tools-wsdlto-databinding-jaxb-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-wsdlto-databinding-jaxb-%{version}.jar
install -m 644 tools/wsdlto/databinding/jaxb/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-wsdlto-databinding-jaxb.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-wsdlto-databinding-jaxb %{version} JPP/%{name} tools-wsdlto-databinding-jaxb

# This pom doesn't exist
#install -m 644 tools/wsdlto/frontend/pom.xml \
#  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-wsdlto-frontend.pom
#%add_to_maven_depmap org.apache.cxf cxf-tools-wsdlto-frontend %{version} JPP/%{name} tools-wsdlto-frontend

install -m 644 tools/wsdlto/frontend/javascript/target/cxf-tools-wsdlto-frontend-javascript-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-wsdlto-frontend-javascript-%{version}.jar
install -m 644 tools/wsdlto/frontend/javascript/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-wsdlto-frontend-javascript.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-wsdlto-frontend-javascript %{version} JPP/%{name} tools-wsdlto-frontend-javascript

install -m 644 tools/wsdlto/frontend/jaxws/target/cxf-tools-wsdlto-frontend-jaxws-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-wsdlto-frontend-jaxws-%{version}.jar
install -m 644 tools/wsdlto/frontend/jaxws/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-wsdlto-frontend-jaxws.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-wsdlto-frontend-jaxws %{version} JPP/%{name} tools-wsdlto-frontend-jaxws

install -m 644 tools/wsdlto/misc/target/cxf-tools-misctools-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-misctools-%{version}.jar
install -m 644 tools/wsdlto/misc/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-misctools.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-misctools %{version} JPP/%{name} tools-misctools

install -m 644 tools/wsdlto/test/target/cxf-tools-wsdlto-test-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-wsdlto-test-%{version}.jar
install -m 644 tools/wsdlto/test/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-wsdlto-test.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-wsdlto-test %{version} JPP/%{name} tools-wsdlto-test


(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post poms
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun poms
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files poms
%defattr(-,root,root,-)
%dir %{_javadir}/%{name}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
#%if %{gcj_support}
#%attr(-,root,root) %dir %{_libdir}/gcj/%{name}
#%attr(-,root,root) %{_libdir}/gcj/%{name}/*-%{version}.jar.*
#%endif

%files api
%defattr(-,root,root,-)
%{_javadir}/%{name}/api*.jar

%files buildtools
%defattr(-,root,root,-)
%{_javadir}/%{name}/buildtools*.jar

%files bundles
%defattr(-,root,root,-)
%{_javadir}/%{name}/bundle-jaxrs*.jar
%{_javadir}/%{name}/bundle-minimal*.jar
%{_javadir}/%{name}/bundle-%{version}.jar
%{_javadir}/%{name}/bundle.jar
%{_javadir}/%{name}/manifest*.jar

%files common
%defattr(-,root,root,-)
%{_javadir}/%{name}/common-utilities*.jar
%{_javadir}/%{name}/common-schemas*.jar
%{_javadir}/%{name}/xjc-boolean*.jar
%{_javadir}/%{name}/xjc-bug671*.jar
%{_javadir}/%{name}/xjc-dv-%{version}.jar
%{_javadir}/%{name}/xjc-dv.jar
%{_javadir}/%{name}/xjc-dv-test*.jar
%{_javadir}/%{name}/xjc-ts-%{version}.jar
%{_javadir}/%{name}/xjc-ts.jar
%{_javadir}/%{name}/xjc-ts-test*.jar
%{_javadir}/%{name}/common-xsd*.jar
%{_javadir}/%{name}/xerces-xsd-validation*.jar

%files integration-jbi
%defattr(-,root,root,-)
%{_javadir}/%{name}/integration-jbi*.jar

%files integration-jca
%defattr(-,root,root,-)
%{_javadir}/%{name}/integration-jca*.jar

%files maven-plugins
%defattr(-,root,root,-)
%{_javadir}/%{name}/jaxws-javafirst*.jar
%{_javadir}/%{name}/codegen-plugin*.jar
%{_javadir}/%{name}/corbatools-maven-plugin*.jar
#%{_javadir}/%{name}/eclipse-plugin-generator*.jar
%{_javadir}/%{name}/java2ws-plugin*.jar
%{_javadir}/%{name}/wsdl-validator-plugin*.jar
%{_javadir}/%{name}/xml2fastinfoset-plugin*.jar

%files bindings-coloc
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-bindings-coloc*.jar

%files bindings-corba
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-bindings-corba*.jar

%files bindings-http
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-bindings-http*.jar

%files bindings-jbi
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-bindings-jbi*.jar

%files bindings-object
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-bindings-object*.jar

%files bindings-soap
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-bindings-soap*.jar

%files bindings-xml
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-bindings-xml*.jar

%files core
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-core*.jar

%files databinding-aegis
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-databinding-aegis*.jar

%files databinding-jaxb
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-databinding-jaxb*.jar

%files databinding-xmlbeans
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-databinding-xmlbeans*.jar

%files frontend-jaxrs
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-frontend-jaxrs*.jar

%files frontend-jaxws
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-frontend-jaxws*.jar

%files frontend-js
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-frontend-js*.jar

%files frontend-simple
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-frontend-simple*.jar

%files javascript
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-javascript*.jar

%files management
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-management*.jar

%files testsupport
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-testsupport*.jar

%files transports-http-jetty
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-transports-http-jetty*.jar

%files transports-http-osgi
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-transports-http-osgi*.jar

%files transports-http
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-transports-http-%{version}.jar
%{_javadir}/%{name}/rt-transports-http.jar

%files transports-jbi
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-transports-jbi*.jar

%files transports-jms
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-transports-jms*.jar

%files transports-local
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-transports-local*.jar

%files ws-addr
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-ws-addr*.jar

%files ws-policy
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-ws-policy*.jar

%files ws-rm
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-ws-rm*.jar

%files ws-security
%defattr(-,root,root,-)
%{_javadir}/%{name}/rt-ws-security*.jar

%files systests
%defattr(-,root,root,-)
%{_javadir}/%{name}/systests-*.jar

%files testutils
%defattr(-,root,root,-)
%{_javadir}/%{name}/testutils*.jar

#%files tools-anttasks
#%defattr(-,root,root,-)
#%{_javadir}/%{name}/tools-anttasks*.jar

%files tools-common
%defattr(-,root,root,-)
%{_javadir}/%{name}/tools-common*.jar

%files tools-corba
%defattr(-,root,root,-)
%{_javadir}/%{name}/tools-corba*.jar

#%files tools-eclipse-plugin
#%defattr(-,root,root,-)
#%{_javadir}/%{name}/eclipse-plugin*.jar

%files tools-java2ws
%defattr(-,root,root,-)
%{_javadir}/%{name}/tools-java2ws*.jar

%files tools-validator
%defattr(-,root,root,-)
%{_javadir}/%{name}/tools-validator*.jar

%files tools-wsdlto
%defattr(-,root,root,-)
%{_javadir}/%{name}/tools-wsdlto-core*.jar
%{_javadir}/%{name}/tools-wsdlto-databinding-jaxb*.jar
%{_javadir}/%{name}/tools-wsdlto-frontend-javascript*.jar
%{_javadir}/%{name}/tools-wsdlto-frontend-jaxws*.jar
%{_javadir}/%{name}/tools-misctools*.jar
%{_javadir}/%{name}/tools-wsdlto-test*.jar


%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Sun Sep 25 2011 Ralph Apel <r.apel at r-apel.de> - 0:2.2.12-3
- Require many subpackages for -bundles

* Sun Sep 25 2011 Ralph Apel <r.apel at r-apel.de> - 0:2.2.12-2
- Include distribution in build

* Sat Jul 09 2011 Ralph Apel <r.apel at r-apel.de> - 0:2.2.12-1
- First release

